### Home Classes Methods

### In Files

- lib/gherkin/tools/stats_listener.rb

### Parent

Object

### Methods

- ::new
- #background
- #comment
- #eof
- #examples
- #feature
- #location
- #py_string
- #row
- #scenario
- #scenario_outline
- #step
- #syntax_error
- #tag

### Files

- LICENSE
- README.rdoc
- meta.txt
- root.txt
- steps.txt
- README.rdoc

### Class/Module Index

Quicksearch

- Gherkin
- Gherkin::CLexer
- Gherkin::Cli
- Gherkin::Cli::Main
- Gherkin::Formatter
- Gherkin::Formatter::Argument
- Gherkin::Formatter::Colors
- Gherkin::Formatter::Escaping
- Gherkin::Formatter::JSONFormatter
- Gherkin::Formatter::MonochromeFormat
- Gherkin::Formatter::PrettyFormatter
- Gherkin::I18n
- Gherkin::I18nLexer
- Gherkin::JSONLexer
- Gherkin::Parser
- Gherkin::Parser::Event
- Gherkin::Parser::FilterListener
- Gherkin::Parser::FormatterListener
- Gherkin::Parser::ParseError
- Gherkin::Parser::Parser
- Gherkin::Parser::Parser::Machine
- Gherkin::Parser::Parser::Machine::StateMachineReader
- Gherkin::Parser::Row
- Gherkin::Parser::TagExpression
- Gherkin::RbLexer
- Gherkin::Rubify
- Gherkin::Tools
- Gherkin::Tools::Files
- Gherkin::Tools::Reformat
- Gherkin::Tools::Stats
- Gherkin::Tools::StatsListener
- Class

No matching classes.

# Gherkin::Tools::StatsListener

### Attributes

features[R]
scenarios[R]
steps[R]

### Public Class Methods

new() click to toggle source

    # File lib/gherkin/tools/stats_listener.rb, line 11
    def initialize
      @features  = 0
      @scenarios = 0
      @steps     = 0
    end

### Public Instance Methods

background(keyword, name, description, line) click to toggle source

    # File lib/gherkin/tools/stats_listener.rb, line 30
    def background(keyword, name, description, line)
    end

comment(content, line) click to toggle source

    # File lib/gherkin/tools/stats_listener.rb, line 23
    def comment(content, line)
    end

eof() click to toggle source

    # File lib/gherkin/tools/stats_listener.rb, line 56
    def eof
    end

examples(keyword, name, description, line) click to toggle source

    # File lib/gherkin/tools/stats_listener.rb, line 40
    def examples(keyword, name, description, line)
    end

feature(keyword, name, description, line) click to toggle source

    # File lib/gherkin/tools/stats_listener.rb, line 26
    def feature(keyword, name, description, line)
      @features += 1
    end

location(file, uri) click to toggle source

    # File lib/gherkin/tools/stats_listener.rb, line 17
    def location(file, uri)
    end

py_string(string, line) click to toggle source

    # File lib/gherkin/tools/stats_listener.rb, line 50
    def py_string(string, line)
    end

row(row, line) click to toggle source

    # File lib/gherkin/tools/stats_listener.rb, line 47
    def row(row, line)
    end

scenario(keyword, name, description, line) click to toggle source

    # File lib/gherkin/tools/stats_listener.rb, line 33
    def scenario(keyword, name, description, line)
      @scenarios += 1
    end

scenario_outline(keyword, name, description, line) click to toggle source

    # File lib/gherkin/tools/stats_listener.rb, line 37
    def scenario_outline(keyword, name, description, line)
    end

step(keyword, name, line) click to toggle source

    # File lib/gherkin/tools/stats_listener.rb, line 43
    def step(keyword, name, line)
      @steps += 1
    end

syntax_error(state, event, legal_events, line) click to toggle source

    # File lib/gherkin/tools/stats_listener.rb, line 53
    def syntax_error(state, event, legal_events, line)
    end

tag(name, line) click to toggle source

    # File lib/gherkin/tools/stats_listener.rb, line 20
    def tag(name, line)
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.